using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	public class BurstFireAdapter : MonoBehaviour
	{
		public float Interval = 0.1f;
		public int BurstCount = 3;

		private bool busy = false;
	
		private FirearmBehaviour firearm;

		private void Awake()
		{
			firearm = GetComponent<FirearmBehaviour>();
		}
	
		private void Use()
		{
			StartCoroutine(Burst());
		}

		private System.Collections.IEnumerator Burst()
		{
			if (busy) yield break;
			busy = true;
			for (int i = 0; i < BurstCount - 1; i++)
			{
				yield return new WaitForSeconds(Interval);
				firearm.Shoot();
			}
			busy = false;
		}
	}
}
